RSA Announces iOS 9 Support for RSA SecurID Software Token 2.0.1 for iOS and RSA SecurID SDK 2.1 for iOS

Document created by RSA Admin Employee on Oct 2, 2015Last modified by RSA Link Team on Apr 11, 2016
Version 2Show Document
  • View in full screen mode

Summary

RSA announces iOS 9 support for RSA SecurID Software Token 2.0.1 for iOS and RSA SecurID SDK 2.1 for iOS.

 

Description

RSA SecurID Software Token 2.0.1 for iOS is qualified to run on iOS 9 devices.

 

 

iOS apps that are built with the RSA SecurID SDK 2.1 on Xcode 6 are qualified to run on iOS 9 devices.

 

The iOS 9 App Transport Security (ATS) feature requires a server that supports Transport Layer Security (TLS) protocol version 1.2 or later with forward secrecy ciphers and certificates that are signed using a SHA-256 or later signature algorithm.

 

RSA Authentication Manager 7.1 does not support the required TLS encryption version. iOS apps that are built with the RSA SecurID SDK 2.1 on Xcode 7 cannot perform CT-KIP provisioning with RSA Authentication Manager 7.1. 

 

If the SSL certificate that you use to secure your CT-KIP connections does not use SHA-256 or later, then you must replace it. The default RSA Authentication Manager 8.x SSL console certificate does not meet the ATS requirement. For instructions on replacing the RSA Authentication Manager 8.x SSL console certificate, see the RSA Authentication Manager AdministratorÕs Guide.

 

For more information on ATS, go to: https://developer.apple.com/library/prerelease/ios/technotes/App-Transport-Security-Technote/

 

Recommendation:

Customers who already have version 2.0.1 of the software token installed are not required to download any additional updates to ensure iOS 9 compatibility.

 

 

Customers who intend to build a new iOS app using RSA SecurID SDK 2.1 on Xcode 7 should upgrade to RSA Authentication Manager 8.x, which supports the required TLS encryption version, and ensure that the SSL console certificate used by RSA Authentication Manager meets the ATS requirements. RSA Authentication Manager 7.1 will not be enhanced to support ATS.

1 person found this helpful

Attachments

    Outcomes